Package org.h2gis.functions.spatial.mesh

# Class ST_Delaunay

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.mesh.ST_Delaunay

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Delaunay extends org.h2gis.api.DeterministicScalarFunction
Returns polygons that represent a Delaunay triangulation constructed from a collection of points. Note that the triangulation doesn't compute the intersections between lines; it takes only existing coordinates.

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Delaunay()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.GeometryCollection`
`createDT(org.locationtech.jts.geom.Geometry geometry)`
Build a delaunay triangulation based on all coordinates of the geometry
`static org.locationtech.jts.geom.GeometryCollection`
`createDT(org.locationtech.jts.geom.Geometry geometry, int flag)`
Build a delaunay triangulation based on all coordinates of the geometry
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Delaunay

public ST_Delaunay()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### createDT

public static org.locationtech.jts.geom.GeometryCollection createDT(org.locationtech.jts.geom.Geometry geometry) throws SQLException
Build a delaunay triangulation based on all coordinates of the geometry

Parameters:
  `geometry` -
Returns:
  a set of polygons (triangles)
Throws:
  `SQLException`

### createDT

public static org.locationtech.jts.geom.GeometryCollection createDT(org.locationtech.jts.geom.Geometry geometry, int flag) throws SQLException
Build a delaunay triangulation based on all coordinates of the geometry

Parameters:
  `geometry` -
  `flag` - for flag=0 (default flag) or a MULTILINESTRING for flag=1
Returns:
  a set of polygons (triangles)
Throws:
  `SQLException`